[个人笔记] EC2 PHP 5.3 升级到 7.0

WordPress安全提示,反馈系统的PHP版本太低,建议升级。

升级步骤:

1. 兼容性检查:

安装了php兼容性检查插件,发现升级到PHP 7.0后,可完全兼容当前环境下的所有插件。

2.EC2服务器创建快照,升级后如果有问题可以回退。

3.备份当前服务器下的HTTPD,PHP安装文件夹及配置文件。

4.停httpd服务:

sudo service httpd stop

5.删除旧版HTTPD, PHP:

sudo yum remove httpd* php*

6.安装新版httpd, php:

sudo yum install httpd24

sudo yum install php70

7.检查软件版本:

rpm -qa |grep -i http

rpm -qa |grep -i php

php -v

8.启动新的httpd:

sudo service httpd start

sudo chkconfig httpd on (设置开机服务自启动)

9.检查端口监听情况:

netstat -an |grep 80

10.浏览器访问wordpress网站:

页面报错:

Your PHP installation appears to be missing the MySQL extension which is require

解决方法:

sudo yum install php70-mysql*

11.再次浏览器访问wordpress网站,成功,可正常访问。

Leave a Reply

Your email address will not be published.